LPCOpen Platform for LPC18XX/43XX microcontrollers: CHIP: LPC18xx/43xx Alarm Timer driver

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Functions
CHIP: LPC18xx/43xx Alarm Timer driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_ATIMER_T
| Alarm Timer register block structure. More...

## Functions
void | Chip_ATIMER_Init (LPC_ATIMER_T *pATIMER, uint32_t PresetValue)
| Initialize Alarm Timer. More...
void | Chip_ATIMER_DeInit (LPC_ATIMER_T *pATIMER)
| Close ATIMER device. More...
STATIC INLINE void | Chip_ATIMER_IntEnable (LPC_ATIMER_T *pATIMER)
| Enable ATIMER Interrupt. More...
STATIC INLINE void | Chip_ATIMER_IntDisable (LPC_ATIMER_T *pATIMER)
| Disable ATIMER Interrupt. More...
STATIC INLINE void | Chip_ATIMER_ClearIntStatus (LPC_ATIMER_T *pATIMER)
| Clear ATIMER Interrupt Status. More...
STATIC INLINE void | Chip_ATIMER_SetIntStatus (LPC_ATIMER_T *pATIMER)
| Set ATIMER Interrupt Status. More...
STATIC INLINE void | Chip_ATIMER_UpdatePresetValue (LPC_ATIMER_T *pATIMER, uint32_t PresetValue)
| Update Preset value. More...
STATIC INLINE uint32_t | Chip_ATIMER_GetPresetValue (LPC_ATIMER_T *pATIMER)
| Read value of preset register. More...

## Function Documentation

STATIC INLINE void Chip_ATIMER_ClearIntStatus | ( | LPC_ATIMER_T * | pATIMER | ) |

Clear ATIMER Interrupt Status.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 99 of file atimer_18xx_43xx.h.

void Chip_ATIMER_DeInit | ( | LPC_ATIMER_T * | pATIMER | ) |

Close ATIMER device.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 58 of file atimer_18xx_43xx.c.

STATIC INLINE uint32_t Chip_ATIMER_GetPresetValue | ( | LPC_ATIMER_T * | pATIMER | ) |

Read value of preset register.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  Value of capture register

Definition at line 130 of file atimer_18xx_43xx.h.

void Chip_ATIMER_Init | ( | LPC_ATIMER_T * | pATIMER,
|  | uint32_t | PresetValue
| ) |  |

Initialize Alarm Timer.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip
  PresetValue | : Count of 1 to 1024s for Alarm

Returns
  None

Definition at line 51 of file atimer_18xx_43xx.c.

STATIC INLINE void Chip_ATIMER_IntDisable | ( | LPC_ATIMER_T * | pATIMER | ) |

Disable ATIMER Interrupt.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 89 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_IntEnable | ( | LPC_ATIMER_T * | pATIMER | ) |

Enable ATIMER Interrupt.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 79 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_SetIntStatus | ( | LPC_ATIMER_T * | pATIMER | ) |

Set ATIMER Interrupt Status.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 109 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_UpdatePresetValue | ( | LPC_ATIMER_T * | pATIMER,
|  | uint32_t | PresetValue
| ) |  |

Update Preset value.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip
  PresetValue | : updated preset value

Returns
  Nothing

Definition at line 120 of file atimer_18xx_43xx.h.